GNU logs - #16097, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: David Benjamin <davidben@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 Dec 2013 02:03:01 +0000
Resent-Message-ID: <handler.16097.B.138664097922821 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: 16097 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.138664097922821
          (code B ref -1); Tue, 10 Dec 2013 02:03:01 +0000
Received: (at submit) by debbugs.gnu.org; 10 Dec 2013 02:02:59 +0000
Received: from localhost ([127.0.0.1]:41117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VqCf3-0005vy-Tq
	for submit <at> debbugs.gnu.org; Mon, 09 Dec 2013 21:02:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53664)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <davidben@HIDDEN>) id 1VqCLZ-0005O6-Oi
 for submit <at> debbugs.gnu.org; Mon, 09 Dec 2013 20:42:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <davidben@HIDDEN>) id 1VqCLX-00055g-6H
 for submit <at> debbugs.gnu.org; Mon, 09 Dec 2013 20:42:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59930)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidben@HIDDEN>) id 1VqCLX-00055a-2d
 for submit <at> debbugs.gnu.org; Mon, 09 Dec 2013 20:42:47 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55369)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidben@HIDDEN>) id 1VqCLV-0007Ch-QC
 for bug-gnu-emacs@HIDDEN; Mon, 09 Dec 2013 20:42:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <davidben@HIDDEN>) id 1VqCLU-00054x-FF
 for bug-gnu-emacs@HIDDEN; Mon, 09 Dec 2013 20:42:45 -0500
Received: from mail-ob0-x229.google.com ([2607:f8b0:4003:c01::229]:65281)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidben@HIDDEN>) id 1VqCLU-00054n-6m
 for bug-gnu-emacs@HIDDEN; Mon, 09 Dec 2013 20:42:44 -0500
Received: by mail-ob0-f169.google.com with SMTP id wm4so4704271obc.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 09 Dec 2013 17:42:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=ksjfldCSQb3aKD/25hgLwRIr6dNN8d9EebqfU3yzzh4=;
 b=OhBMKzrOEUjF+VyuTke4DY/ID70/9Cv5AkwTcaMku60nUoLTBFUB0dQ8iPGWc/YhJ5
 0NWVLZ59apORHRq+BC75iWozxtJh95vzWvWODmI8i+G01sek8hrQVmg55roMscg2cDlK
 Omi9lSx5g9A2k/m7QGHE+NllA7MOfD3GzMWjLsfiHzFatmY7zo9OmbsPgEfJF39la1Bq
 5Fo3QZNQ0vkuexC0k5c+zyxyiOcE38M59SkO4+h6urD4BzQ+sG6YVx+IJTyXnNvfm2Ne
 FQfvSBbdI6FIohdZ9vJpFd5J7bnVs0MTl95EUb5dUXvt+f06CCkDk5veyC7UNu9mi5a9
 elHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-type;
 bh=ksjfldCSQb3aKD/25hgLwRIr6dNN8d9EebqfU3yzzh4=;
 b=DNqmhs5HnZQ8kWx5OFfdw0fhZRYmz0zDQ4RgrX0DPtshCrUDapevBnCF1k7EVXTLDL
 dD1+GqrMWC+j01GH1XP5epOwHwuOvJx3YExatNW1cKgHcxwwqGvSHq8GUF7VI9B8WuQu
 O0XvhoG3Vvt7E4Cp4jUGNkGrMC2auzeL6cNR7RW9noFEjVmF5wHVz4Df6KdPBZimjbbH
 DhJQB7li0yKWlqtLomweIadtPSxorIoSYnZ9nlXVqgb154R3uHJTEUXmQC8dPPu4OpH5
 FOlVD/ZPAn2+pJXIunPb8z6HFptCfFk7EyEa8nLBLO5cZgwfyM+u3l7sj/zKVXHZV7PV
 4ypg==
X-Gm-Message-State: ALoCoQk95ZVl1RV7vQorC6mrFrwK3Bbfit4Eh7qDRvLdLfKYU2zDzG/PWviCuRa92EH1nkp+QySTqxzCF6fCiEjF6ds80JyCNZn7dxNEd4stVume8gBsLyppt6gua8G3+oaKaIcW7TK2/LA/sq7sulB1chB0U7ql/f3sowf05C/LM/eqwGoYq+NAuQWwXKFpjP93Pa2Sv+BfB2FwrGTjBP33DcyWI+c8+g==
X-Received: by 10.182.43.161 with SMTP id x1mr14677177obl.5.1386639762895;
 Mon, 09 Dec 2013 17:42:42 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.35.41 with HTTP; Mon, 9 Dec 2013 17:42:22 -0800 (PST)
From: David Benjamin <davidben@HIDDEN>
Date: Mon, 9 Dec 2013 20:42:22 -0500
Message-ID: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
Content-Type: multipart/mixed; boundary=001a11c30ce28032c404ed243a02
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Mailman-Approved-At: Mon, 09 Dec 2013 21:02:56 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c30ce28032c404ed243a02
Content-Type: multipart/alternative; boundary=001a11c30ce28032c004ed243a00

--001a11c30ce28032c004ed243a00
Content-Type: text/plain; charset=ISO-8859-1

Here's a patch for something that's been bugging me. This makes Cmd-` cycle
through only the current space's windows, which is consistent with other
programs on OS X. It also matches the behavior of other-frame on X11 for
window managers that implement virtual desktops by mapping and unmapping
windows. The patch is attached.

It's not perfect; if you go into Mission Control or so and move a window
onto another space without switching spaces, it won't notice until you
switch spaces again. I wasn't able to find a notification to listen to;
it'd be nice to replace the visible field in a frame with some virtual call
that, in Cocoa, would just call out to [win isVisible] and [win
isOnActiveSpace], but that'd be a more invasive change. It also doesn't fix
the behavior where closing the last window on a space warps you to a window
on another space. I'm not sure yet what's causing that.

As far as copyright goes, if this is a large enough change to matter (a
decent chunk of the diff is just moving some code around), I'm a Google
employee. I'm told we already have an agreement on file with the FSF.

David Benjamin

--001a11c30ce28032c004ed243a00
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Here&#39;s a patch for something that&#39;s been bugging m=
e. This makes Cmd-` cycle through only the current space&#39;s windows, whi=
ch is consistent with other programs on OS X. It also matches the behavior =
of other-frame on X11 for window managers that implement virtual desktops b=
y mapping and unmapping windows. The patch is attached.<div>


<br></div><div>It&#39;s not perfect; if you go into Mission Control or so a=
nd move a window onto another space without switching spaces, it won&#39;t =
notice until you switch spaces again. I wasn&#39;t able to find a notificat=
ion to listen to; it&#39;d be nice to replace the visible field in a frame =
with some virtual call that, in Cocoa, would just call out to [win isVisibl=
e] and [win isOnActiveSpace], but that&#39;d be a more invasive change. It =
also doesn&#39;t fix the behavior where closing the last window on a space =
warps you to a window on another space. I&#39;m not sure yet what&#39;s cau=
sing that.<br>


<div>
<br></div><div>As far as copyright goes, if this is a large enough change t=
o matter (a decent chunk of the diff is just moving some code around), I&#3=
9;m a Google employee. I&#39;m told we already have an agreement on file wi=
th the FSF.</div>


<div><br></div><div>David Benjamin</div></div></div>

--001a11c30ce28032c004ed243a00--
--001a11c30ce28032c404ed243a02
Content-Type: application/octet-stream; 
	name="0001-In-nsterm-update-frame-visibility-on-space-change-an.patch"
Content-Disposition: attachment; 
	filename="0001-In-nsterm-update-frame-visibility-on-space-change-an.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hp0gr73t0
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--001a11c30ce28032c404ed243a02--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: David Benjamin <davidben@HIDDEN>
Subject: bug#16097: Acknowledgement ([PATCH] Treat windows on other spaces
 as not visible in Cocoa)
Message-ID: <handler.16097.B.138664097922821.ack <at> debbugs.gnu.org>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
X-Gnu-PR-Message: ack 16097
X-Gnu-PR-Package: emacs
X-Gnu-PR-Keywords: patch
Reply-To: 16097 <at> debbugs.gnu.org
Date: Tue, 10 Dec 2013 02:03:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 16097 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
16097: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D16097
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Stefan Kangas <stefan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 12 Aug 2020 22:35:02 +0000
Resent-Message-ID: <handler.16097.B16097.15972716524633 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: David Benjamin <davidben@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.15972716524633
          (code B ref 16097); Wed, 12 Aug 2020 22:35:02 +0000
Received: (at 16097) by debbugs.gnu.org; 12 Aug 2020 22:34:12 +0000
Received: from localhost ([127.0.0.1]:45847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5zK0-0001Ce-7u
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 18:34:12 -0400
Received: from mail-yb1-f173.google.com ([209.85.219.173]:38802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5zJy-0001CE-89
 for 16097 <at> debbugs.gnu.org; Wed, 12 Aug 2020 18:34:10 -0400
Received: by mail-yb1-f173.google.com with SMTP id e187so2230823ybc.5
 for <16097 <at> debbugs.gnu.org>; Wed, 12 Aug 2020 15:34:10 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=LpKccAJpc21Q6oZI00SGzf1MVZZ3ARrlBc0tGJkBS8g=;
 b=rAwXy+IHUhS2sBMEKNbAJaek7joZf+n6Cc6vYC3FJ5nteERDXt6I9ra4FsqHkSPHlJ
 aww65DfCReEEM3FKbKrhPa57I/UIWOduXiInvznqJcWQ0X3AkeBz0ljwpFboapNbOS58
 lKc0dIRZXCtWYk7CFpCe/AwMwg429x2SAqree3o1UtjvXIJd9nzVuGre3KnV1NZMTGiF
 f2qbHbv3zweQ3xtdltFVog19xUzRJxUk3ShvXq/9CWTEypOPH41CUTG96WEuae3XbhAA
 YX3l49SPhWXNXsiJJHEWF8zEGODbEdc5RpsEJNohoApZ/U+EQwqr4NhsDGmKelxnZioX
 hVNg==
X-Gm-Message-State: AOAM532fFzImp0CwJgH5NtNqOFxprh9hKLBweMGW/ba8aryIMFzvz98E
 8POG2RJyA9uxr9fpDR/4v3hEoLgBQpxePwlP10iMfY2x94E=
X-Google-Smtp-Source: ABdhPJz+qzKgWpXjWPwFg/GCd6WUxHypeAdpWjv9IXoGZ+xGJQ5OLuro6KNVYNW0nd01bzp3s88XY3LvfxIfJW7+N6Q=
X-Received: by 2002:a25:b290:: with SMTP id k16mr2313783ybj.389.1597271644814; 
 Wed, 12 Aug 2020 15:34:04 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 12 Aug 2020 15:34:04 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 (David Benjamin's message of "Mon, 9 Dec 2013 20:42:22 -0500")
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 12 Aug 2020 15:34:04 -0700
Message-ID: <CADwFkmnz_Q3MSEAA+Nynjz7WFS419UhX0F0YHn_Y6B754uLJeQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Benjamin <davidben@HIDDEN> writes:

> Here's a patch for something that's been bugging me. This makes Cmd-` cycle through only the current space's windows, which is
> consistent with other programs on OS X. It also matches the behavior of other-frame on X11 for window managers that implement
> virtual desktops by mapping and unmapping windows. The patch is attached.
>
> It's not perfect; if you go into Mission Control or so and move a window onto another space without switching spaces, it won't notice
> until you switch spaces again. I wasn't able to find a notification to listen to; it'd be nice to replace the visible field in a frame with some
> virtual call that, in Cocoa, would just call out to [win isVisible] and [win isOnActiveSpace], but that'd be a more invasive change. It also
> doesn't fix the behavior where closing the last window on a space warps you to a window on another space. I'm not sure yet what's
> causing that.
>
> As far as copyright goes, if this is a large enough change to matter (a decent chunk of the diff is just moving some code around), I'm a
> Google employee. I'm told we already have an agreement on file with the FSF.

(This was sent 7 years ago but unfortunately never got a reply at the
time.)

The attached patch unfortunately no longer applies.

Is this still an issue on modern versions of Emacs?

Best regards,
Stefan Kangas




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Oct 2020 01:44:01 +0000
Resent-Message-ID: <handler.16097.B16097.16025534121114 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Stefan Kangas <stefan@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org, David Benjamin <davidben@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.16025534121114
          (code B ref 16097); Tue, 13 Oct 2020 01:44:01 +0000
Received: (at 16097) by debbugs.gnu.org; 13 Oct 2020 01:43:32 +0000
Received: from localhost ([127.0.0.1]:44566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS9Lg-0000Hu-46
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:43:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kS9Le-0000Hg-G1
 for 16097 <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:43:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LJbO17D21qQ/gzb1cFwMIE3VG0FtLSBKSuU0wf75XdQ=; b=mLDrU1i3WGvYGZR/kkOs2cjs30
 NI1F33Q9CtfSXiMKL2t7GKkd9cN83AZ+i8HZ5LfaGHfPl2/ngVPRi77qXGrMhVdFdZGNlVqfZQGtt
 2tNitzmj8wgOzxqe2aKpAHZ93gthbYX+dG1h8gbrMNXwg1Fr/m6bM9nhihv3moKgOLQc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kS9LS-0000XI-5U; Tue, 13 Oct 2020 03:43:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <CADwFkmnz_Q3MSEAA+Nynjz7WFS419UhX0F0YHn_Y6B754uLJeQ@HIDDEN>
X-Now-Playing: Matmos's _A Chance To Cut Is A Chance To Cure_: "Spondee"
Date: Tue, 13 Oct 2020 03:43:16 +0200
In-Reply-To: <CADwFkmnz_Q3MSEAA+Nynjz7WFS419UhX0F0YHn_Y6B754uLJeQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 12 Aug 2020 15:34:04 -0700")
Message-ID: <87wnzu99zf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Is this still
 an issue on modern versions of Emacs? More information was requested two
 months
 ago, but none were given, so I'm closing this bug report. If this is something
 that's still a problem, please respond to the debbugs address, and we'll
 reopen [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Is this still an issue on modern versions of Emacs?

More information was requested two months ago, but none were given, so
I'm closing this bug report.  If this is something that's still a
problem, please respond to the debbugs address, and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 13 Oct 2020 01:43:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 21:43:38 2020
Received: from localhost ([127.0.0.1]:44569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS9Lm-0000IG-Ba
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:43:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kS9Lk-0000Hs-JC
 for control <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:43:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fWl/AHW+rXhtQbp55RKorSE/NC40UDA0CahA+XZaWOs=; b=Xii819EoXpe+WlKSuxpMZ23Gt2
 RcUUB+Uef9DDHmn1st7urP1hRLjQCNIsXrAXMmzVVU0U/5doydiS9L6zMq6r0KjakXb6uePCtEWUk
 lh5E53Zj0l71gwsB5ToCo49KXpr+INr38MZM9j9DuKcyq74+OnF4vpJ/WcBdEcExrcWY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kS9Lc-0000XR-T6
 for control <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:43:31 +0200
Date: Tue, 13 Oct 2020 03:43:27 +0200
Message-Id: <87v9fe99z4.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #16097
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 16097 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 16097 
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: David Benjamin <davidben@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Oct 2020 16:07:02 +0000
Resent-Message-ID: <handler.16097.B16097.16026051857924 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.16026051857924
          (code B ref 16097); Tue, 13 Oct 2020 16:07:02 +0000
Received: (at 16097) by debbugs.gnu.org; 13 Oct 2020 16:06:25 +0000
Received: from localhost ([127.0.0.1]:48519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSMoi-00023j-HI
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 12:06:24 -0400
Received: from mail-pg1-f195.google.com ([209.85.215.195]:40834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <davidben@HIDDEN>) id 1kSMoe-00023I-2j
 for 16097 <at> debbugs.gnu.org; Tue, 13 Oct 2020 12:06:22 -0400
Received: by mail-pg1-f195.google.com with SMTP id x13so1611308pgp.7
 for <16097 <at> debbugs.gnu.org>; Tue, 13 Oct 2020 09:06:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=EWAQJxyLB9BF+JAQugPvbJV3LgbiT195WLUDDooL9ZA=;
 b=ewdQEwpU5nxVv/LLPoD0SunFdWEu8lV6kv85USu6DCcQRZGfZPyqhkwmBFi6bkJVjd
 YlJI49QGTcIEbeSBFKDKg3DMJhOv+sjlq+ESvYq+jLPkerWPJqc9ePgVx6JmLSP4qlw/
 dwY8Jdvzts4HH43BQS1nvl/YXDyl+eASSCn/ErPHnSt8Urpd7vy3Lg3iI6hZ6f8FgTzw
 gAvqt3lk1XRcs/zB8RaTosJkTbpV1JEgLEPDwFqNk1Dp7SrmmN6pKIZUHsRNehgkIKdF
 Udr+5UN3mzTA91I6tAQ0lva74wXEbvUixAaS8Qs8b8W4Ga0Zda+g0VAmhj+BoAvsrBWJ
 pbXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=EWAQJxyLB9BF+JAQugPvbJV3LgbiT195WLUDDooL9ZA=;
 b=tZtQ5P2xw5X0tqJ+omRpTgt4lyoUv07y3lpgq3lFuIcp+d3R7hmNgfqTZfh3mZPw+4
 4T6I3nT/8KeXFtegXFBpu8mUUwCGVzqBuLagTPFYWy9sgXduc9j1USPjmkJVYZ6lKIMd
 rYMtN6S8SSnE8K5U8SLfECdz7DmnVWxzNn0HToQRsTKuZtntdDAyx2wvZPfVbBzammOE
 ctASyOTQTzEbK//XyJgRz7nsNZfOhj+mPsz4441DsVampZNcSCqaaDJZQ25oESQNKrU5
 GNXxKcSGLwqPqIRHMxrwGidzb4rRaG6NkY8KUgC6cCokAGDTD6/ZMIwRBg7xHpY77lRk
 EcBg==
X-Gm-Message-State: AOAM5336qwzDq+h8j7EsAcoVJ8nU0MUXdjnQEXmqNsIaeb2QMtmpVJxA
 ZfFqEDnsr567FAoKkxQPorhJaU3Qvhze6npGbRpY
X-Google-Smtp-Source: ABdhPJwvL9WGP1dVEkldT83ifdbgYJyFCPgHZYk1vMtQYbuBQDm1IzP/oZxHjXzS3luinnHbdJqXXvfmiNZCB1Ko1vc=
X-Received: by 2002:a63:4f5e:: with SMTP id p30mr225385pgl.6.1602605174024;
 Tue, 13 Oct 2020 09:06:14 -0700 (PDT)
MIME-Version: 1.0
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <CADwFkmnz_Q3MSEAA+Nynjz7WFS419UhX0F0YHn_Y6B754uLJeQ@HIDDEN>
 <87wnzu99zf.fsf@HIDDEN>
In-Reply-To: <87wnzu99zf.fsf@HIDDEN>
From: David Benjamin <davidben@HIDDEN>
Date: Tue, 13 Oct 2020 12:05:57 -0400
Message-ID: <CAF8qwaAoyypuYGJ1X3i096cJLDXb97rgZ=z0bGhfifjGw3S3NQ@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001da32805b18f9860"
X-Spam-Score: -8.0 (--------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -9.0 (---------)

--0000000000001da32805b18f9860
Content-Type: text/plain; charset="UTF-8"

I'm afraid that after seven years, I've long forgotten about this patch and
no longer use Emacs these days. But I did a quick build from source on
macOS, and it appears graphical Emacs still has this issue.

David

On Mon, Oct 12, 2020 at 9:43 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Stefan Kangas <stefan@HIDDEN> writes:
>
> > Is this still an issue on modern versions of Emacs?
>
> More information was requested two months ago, but none were given, so
> I'm closing this bug report.  If this is something that's still a
> problem, please respond to the debbugs address, and we'll reopen.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--0000000000001da32805b18f9860
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">I&#39;m afraid that after seven years, I&=
#39;ve long forgotten about this patch and no longer use Emacs these days. =
But I did a quick build from source on macOS, and it appears graphical Emac=
s still has this issue.</div><div dir=3D"ltr"><br></div><div>David</div><br=
><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon, O=
ct 12, 2020 at 9:43 PM Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN=
rg">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex">Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN" ta=
rget=3D"_blank">stefan@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Is this still an issue on modern versions of Emacs?<br>
<br>
More information was requested two months ago, but none were given, so<br>
I&#39;m closing this bug report.=C2=A0 If this is something that&#39;s stil=
l a<br>
problem, please respond to the debbugs address, and we&#39;ll reopen.<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div>

--0000000000001da32805b18f9860--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Oct 2020 04:10:01 +0000
Resent-Message-ID: <handler.16097.B16097.160264855628689 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: David Benjamin <davidben@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.160264855628689
          (code B ref 16097); Wed, 14 Oct 2020 04:10:01 +0000
Received: (at 16097) by debbugs.gnu.org; 14 Oct 2020 04:09:16 +0000
Received: from localhost ([127.0.0.1]:49631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSY6G-0007Sf-HB
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 00:09:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kSY6F-0007Rx-BA
 for 16097 <at> debbugs.gnu.org; Wed, 14 Oct 2020 00:09:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tWAftNexVV0H5HEVw+jpVXgip5nCs4UHVP8pWkWt7cM=; b=Pmf1m7amYvDyRA966GjO4D6we8
 9TNxUKZQRSKEV6AlJugbjKQMSRYe5iAvXgP6fx/DeEocxZdHO9H6cHZKhsv29Vf3pIUTOF2dzagOT
 CHEVETVSXkQxd8Ftck7B4KTqICQP7UWojWqdcYDRTu1QaMxdZEH7irs64OvzwkAIWACk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kSY66-0004eR-12; Wed, 14 Oct 2020 06:09:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <CADwFkmnz_Q3MSEAA+Nynjz7WFS419UhX0F0YHn_Y6B754uLJeQ@HIDDEN>
 <87wnzu99zf.fsf@HIDDEN>
 <CAF8qwaAoyypuYGJ1X3i096cJLDXb97rgZ=z0bGhfifjGw3S3NQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEX4mS/9qC/cZTXE
 OjnNjDGaajBCMTHJjTJrTDH8ukb7zmv8xFb23Y3///8dEh2UAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+QKDgMqCmaWB8kAAAFJSURBVDjLvZM/T4QwGIdbjIlj30vJiS7YjyBfQAYS3e4SazpqornVG/wz
 OmhkZXDQmxwvTDdSvoHxQ0lBaAslRgffjT78nr59KQhVBWYRpAt6NQo6hseItod44oWM4Qa0AcLY
 Yci2WNQC0sY9FHoeQt4RVwAPdtjmlzUw+1cPd8m9M7HzLFJRgy5zzB8JTW4fUk5NVeXw51wIcROT
 uAKmSPhXqbiGhM9Vgmiw2H3ygfLT5uR6nZ5PZ9X6SV6ArZpewJJwXAayUEATsnhZ+jOQq/LdVsEZ
 hyCXZb6X9bqiMWRyvd7kYKtUZSCL/Q3YB/wuGdQADz9spiKDGb4Wb8Wqd8BG9PlR1ioYKecNAZfq
 58R/7PFbFakS5nUwgLrU2Kly/1F/BM6OEbE3p3qICKx227cQiXqmFnhR6Fgegs6LJtGBe4hj33B0
 7F+qim5HHhx/gQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMC0xMC0xNFQwMzo0MjoxMCswMDowMP8g
 FZ8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTAtMTRUMDM6NDI6MTArMDA6MDCOfa0jAAAAAElF
 TkSuQmCC
X-Now-Playing: B. Fleischmann's _Welcome Tourist (1)_: "As If"
Date: Wed, 14 Oct 2020 06:09:04 +0200
In-Reply-To: <CAF8qwaAoyypuYGJ1X3i096cJLDXb97rgZ=z0bGhfifjGw3S3NQ@HIDDEN>
 (David Benjamin's message of "Tue, 13 Oct 2020 12:05:57 -0400")
Message-ID: <87k0vt1man.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  David Benjamin <davidben@HIDDEN> writes: > I'm afraid
 that after seven years, I've long forgotten about this > patch and no longer
 use Emacs these days. But I did a quick build from > source on macOS, and
 it appears graphical Emacs still has [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Benjamin <davidben@HIDDEN> writes:

> I'm afraid that after seven years, I've long forgotten about this
> patch and no longer use Emacs these days. But I did a quick build from
> source on macOS, and it appears graphical Emacs still has this issue.

Thanks for testing; I'm reopening this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Wed, 14 Oct 2020 04:10:01 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Oct 2020 04:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 00:09:27 2020
Received: from localhost ([127.0.0.1]:49634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSY6Q-0007T2-RP
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 00:09:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kSY6O-0007Sq-UU
 for control <at> debbugs.gnu.org; Wed, 14 Oct 2020 00:09:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MMw97CW94lyX16u9upz67mdsJZLThfe6HZutIFfWekE=; b=VBf8Azfd1dizeyPJoLvB/NwnWy
 hxe9oOJaCjf12XpNhToy707dpIZSS1N4UU9ALWQhTTmwhh+bRpr4aGdANQJAlqEAZtzyzZPaELHqG
 HFXF+2Sfn09o6ZxvXwDlL0MAGc4u15RxXE35sZLOImkJ63cJzLYa5cVyrCQieg8WRiQw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kSY6G-0004fU-Lz
 for control <at> debbugs.gnu.org; Wed, 14 Oct 2020 06:09:19 +0200
Date: Wed, 14 Oct 2020 06:09:15 +0200
Message-Id: <87imbd1mac.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #16097
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  reopen 16097 tags 16097 - fixed patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 16097
tags 16097 - fixed patch
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 26 Jan 2022 16:47:02 +0000
Resent-Message-ID: <handler.16097.B16097.164321558711256 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: David Benjamin <davidben@HIDDEN>
Cc: Alan Third <alan@HIDDEN>, 16097 <at> debbugs.gnu.org
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164321558711256
          (code B ref 16097); Wed, 26 Jan 2022 16:47:02 +0000
Received: (at 16097) by debbugs.gnu.org; 26 Jan 2022 16:46:27 +0000
Received: from localhost ([127.0.0.1]:53287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nClRC-0002vU-Rd
	for submit <at> debbugs.gnu.org; Wed, 26 Jan 2022 11:46:27 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nClRA-0002vF-Ht
 for 16097 <at> debbugs.gnu.org; Wed, 26 Jan 2022 11:46:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fdLQkqbMrsdQQpB/cZvNuyKqteaeL8PT9avOhIvDtZg=; b=RmnbxPJMUFxij7PbIp4HHBiN7R
 OMi8XBZe89W8JUeGBxWyfaKst1DaguZEO9gJjFJ+RZYeioaWpTzJQOT4bnJ+jPWY3JGCxwN3JJDwi
 pfw8ZCzv8DP0UD9VO/V/NIZkEVVYYY+E0USrqINMzwZ9/AlmQ8/IXNZs6WnnTvvuRW3M=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nClR1-0003nD-Ob; Wed, 26 Jan 2022 17:46:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
X-Now-Playing: Phew's _Phew_: "Signal"
Date: Wed, 26 Jan 2022 17:46:15 +0100
In-Reply-To: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 (David Benjamin's message of "Mon, 9 Dec 2013 20:42:22 -0500")
Message-ID: <87zgniphrc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: David Benjamin <davidben@HIDDEN> writes: > Here's a patch
 for something that's been bugging me. This makes Cmd-` > cycle through only
 the current space's windows, which is consistent > with other programs on
 OS X. It also matches the behavio [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

David Benjamin <davidben@HIDDEN> writes:

> Here's a patch for something that's been bugging me. This makes Cmd-`
> cycle through only the current space's windows, which is consistent
> with other programs on OS X. It also matches the behavior of
> other-frame on X11 for window managers that implement virtual desktops
> by mapping and unmapping windows. The patch is attached.

Perhaps Alan has a comment here; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
In-Reply-To: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 27 Jan 2022 11:07:01 +0000
Resent-Message-ID: <handler.16097.B16097.164328160619468 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>, David Benjamin <davidben@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164328160619468
          (code B ref 16097); Thu, 27 Jan 2022 11:07:01 +0000
Received: (at 16097) by debbugs.gnu.org; 27 Jan 2022 11:06:46 +0000
Received: from localhost ([127.0.0.1]:54504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nD2c1-00053v-RS
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 06:06:46 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:45907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nD2c0-00053i-K5
 for 16097 <at> debbugs.gnu.org; Thu, 27 Jan 2022 06:06:45 -0500
Received: by mail-wr1-f49.google.com with SMTP id m14so3812949wrg.12
 for <16097 <at> debbugs.gnu.org>; Thu, 27 Jan 2022 03:06:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:message-id:mime-version;
 bh=U7zq3rjHkuTfr5d/G/OHWfTv1f2/1xbUcMFavf/WmsQ=;
 b=a9i21W5OiBcDLigZlTshYxLko7EWV8lTZog51z67AFIaqrq9CLxb4eX8rNgLiiXtnN
 2BfhugRRDLUmElSL78m8cOUNCoLz2LyyElJBTdiwb/kmBKwQKmXOw2+g1y9469YeZ5Hl
 twTwIl/30KJliCRYBHYxPeMh97kVDtIiCNixz5eAkbAZe0siPF0GVW1XpN3eMy8gWN9f
 LMQj462gB3dFKkpat3E0nj6Y9RhNwIBej4jvPlPKGOMWnBxUT1QlAfCaylA902MRk8OM
 ebJHkfxn3sYLG19W+ia2T+inFGQoA3sL9Ebc/XPschVj2JMlGYyeCLycIokYS4apvCvd
 9EbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :mime-version;
 bh=U7zq3rjHkuTfr5d/G/OHWfTv1f2/1xbUcMFavf/WmsQ=;
 b=h68SJLF3zxkXLmpSKFkLZIGVFi9EJLqpnMhv8aTp2LIAtNZOM9l5h4qNbxRtcfBbXS
 h4pwbauiRyNwCDKMl8qz01590bBMiJBGkXaaWtO7Hacdb7Ks27fKVm1pwYgJOJhihUf8
 T/0YZERygQc9OrWaC3lTFXkwf3cUjAzl6FY98RL+6OaD7qdCY0pQfUvfnD2dp9KbC0Z6
 39qaB9Ujh7pjHheJCO1DvukOQQzK4Sydbmf1u6txoIe5JtrJh7dhtiNWyUclb1znos9f
 hh4B+bZZEGkLW5huNn/PEbBXaJEpjgGQ+eiXdb1/Fv0csAvCelDfnGV6/cxbvb+dpxIV
 imnw==
X-Gm-Message-State: AOAM530sJW3fW2Zhqs4g+e7WavNxCoZy3/fH7IZmIF7828Hx9Ii11t90
 sb+8X0fjruYaIoUKyYzf8t1olXhyijunUQ==
X-Google-Smtp-Source: ABdhPJwfta+3JDomquX8OBC2qB2/t/0YGFGmfPG/T/8jJN7GtJVnfr4j7qfPcobMnLD2P83YLVHtjQ==
X-Received: by 2002:a5d:5846:: with SMTP id i6mr2618689wrf.4.1643281598372;
 Thu, 27 Jan 2022 03:06:38 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:4697:da8d:60b1:c955])
 by smtp.gmail.com with ESMTPSA id v5sm5369730wmh.19.2022.01.27.03.06.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Jan 2022 03:06:37 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN>
Date: Thu, 27 Jan 2022 12:06:36 +0100
Message-ID: <87czkdfner.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Wed, 26 Jan 2022 17:46:15 +0100, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> David Benjamin <davidben@HIDDEN> writes:
    >> Here's a patch for something that's been bugging me. This makes Cmd-`
    >> cycle through only the current space's windows, which is consistent
    >> with other programs on OS X. It also matches the behavior of
    >> other-frame on X11 for window managers that implement virtual deskto=
ps
    >> by mapping and unmapping windows. The patch is attached.

    Lars> Perhaps Alan has a comment here; added to the CCs.

Please let's apply this. Please. Pretty please. Pretty please with sugar on
top. Please.

I=CA=BCve rebased it to master and attach it here.

Did I mention I like it?

Robert
--=20


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-other-frame-cycle-on-current-space-only-nsterm.patch

From 16269d55a34cbc74335fc3729e92bcea1497842c Mon Sep 17 00:00:00 2001
From: David Benjamin <davidben@HIDDEN>
Date: Thu, 27 Jan 2022 12:00:01 +0100
Subject: [PATCH] Make other-frame cycle on current space only (nsterm)
To: emacs-devel@HIDDEN

In nsterm, update frame visibility on space change and application
hide/unhide. This makes other-frame cycle through windows correctly.

* nsterm.m (updateVisibility:): New function from code in
windowDidMiniaturize and windowDidDeminiaturize.
(windowDidMiniaturize:, windowDidDeminiaturize:): Call
updateVisibility.
(initFrameFromEmacs:): Register for notifications of application
hide/unhide and, on Cocoa, space changes.
(dealloc): Clean up notifications.
* nsterm.h (EmacsView): Declaration for updateVisibility.
---
 src/nsterm.h |   1 +
 src/nsterm.m | 113 +++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 96 insertions(+), 18 deletions(-)

diff --git a/src/nsterm.h b/src/nsterm.h
index f027646123..db4e75641b 100644
--- a/src/nsterm.h
+++ b/src/nsterm.h
@@ -481,6 +481,7 @@ #define NSTRACE_UNSILENCE()
 #if defined (NS_IMPL_COCOA) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
 - (void) updateCollectionBehavior;
 #endif
+- (void) updateVisibility: (NSNotification *)notification;
 
 #ifdef NS_IMPL_GNUSTEP
 - (void)windowDidMove: (id)sender;
diff --git a/src/nsterm.m b/src/nsterm.m
index a3c7b55218..cce2ada317 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -5959,6 +5959,22 @@ - (void)dealloc
 {
   NSTRACE ("[EmacsView dealloc]");
 
+  [[NSNotificationCenter defaultCenter]
+      removeObserver: self
+                name: NSApplicationDidHideNotification
+              object: nil];
+  [[NSNotificationCenter defaultCenter]
+      removeObserver: self
+                name: NSApplicationDidUnhideNotification
+              object: nil];
+#if defined(NS_IMPL_COCOA) && \
+  MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6
+  [[[NSWorkspace sharedWorkspace] notificationCenter]
+    removeObserver: self
+              name: NSWorkspaceActiveSpaceDidChangeNotification
+            object: nil];
+#endif /* NS_IMPL_COCOA && >= MAC_OS_X_VERSION_10_6 */
+
   /* Clear the view resize notification.  */
   [[NSNotificationCenter defaultCenter]
     removeObserver:self
@@ -7066,7 +7082,6 @@ - (void)windowDidBecomeKey: (NSNotification *)notification
   [self windowDidBecomeKey];
 }
 
-
 - (void)windowDidBecomeKey      /* for direct calls */
 {
   struct ns_display_info *dpyinfo = FRAME_DISPLAY_INFO (emacsframe);
@@ -7086,7 +7101,27 @@ - (void)windowDidBecomeKey      /* for direct calls */
   XSETFRAME (event.frame_or_window, emacsframe);
   kbd_buffer_store_event (&event);
 }
+#if 0
+- (void)windowDidBecomeKey      /* for direct calls */
+{
+  struct ns_display_info *dpyinfo = FRAME_DISPLAY_INFO (emacsframe);
+  struct frame *old_focus = dpyinfo->ns_focus_frame;
+  struct input_event event;
+
+  EVENT_INIT (event);
+
+  NSTRACE ("[EmacsView windowDidBecomeKey]");
 
+  if (emacsframe != old_focus)
+    dpyinfo->ns_focus_frame = emacsframe;
+
+  ns_frame_rehighlight (emacsframe);
+
+  event.kind = FOCUS_IN_EVENT;
+  XSETFRAME (event.frame_or_window, emacsframe);
+  kbd_buffer_store_event (&event);
+}
+#endif
 
 - (void)windowDidResignKey: (NSNotification *)notification
 /* cf. x_detect_focus_change(), x_focus_changed(), x_new_focus_frame() */
@@ -7214,6 +7249,27 @@ - (instancetype) initFrameFromEmacs: (struct frame *)f
   [NSApp registerServicesMenuSendTypes: ns_send_types
                            returnTypes: [NSArray array]];
 
+  /* Update visibility state on application hide and unhide. */
+  [[NSNotificationCenter defaultCenter]
+      addObserver: self
+         selector: @selector (updateVisibility:)
+             name: NSApplicationDidHideNotification
+           object: nil];
+  [[NSNotificationCenter defaultCenter]
+      addObserver: self
+         selector: @selector (updateVisibility:)
+             name: NSApplicationDidUnhideNotification
+           object: nil];
+
+#if defined(NS_IMPL_COCOA) && \
+  MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6
+  [[[NSWorkspace sharedWorkspace] notificationCenter]
+    addObserver: self
+       selector: @selector (updateVisibility:)
+           name: NSWorkspaceActiveSpaceDidChangeNotification
+         object: nil];
+#endif /* NS_IMPL_COCOA && >= MAC_OS_X_VERSION_10_6 */
+
   ns_window_num++;
   return self;
 }
@@ -7383,18 +7439,7 @@ - (NSRect)windowWillUseStandardFrame:(NSWindow *)sender
 - (void)windowDidDeminiaturize: sender
 {
   NSTRACE ("[EmacsView windowDidDeminiaturize:]");
-  if (!emacsframe->output_data.ns)
-    return;
-
-  SET_FRAME_ICONIFIED (emacsframe, 0);
-  SET_FRAME_VISIBLE (emacsframe, 1);
-  windows_or_buffers_changed = 63;
-
-  if (emacs_event)
-    {
-      emacs_event->kind = DEICONIFY_EVENT;
-      EV_TRAILER ((id)nil);
-    }
+  [self updateVisibility:nil];
 }
 
 
@@ -7415,16 +7460,48 @@ - (void)windowDidExpose: sender
 - (void)windowDidMiniaturize: sender
 {
   NSTRACE ("[EmacsView windowDidMiniaturize:]");
+  [self updateVisibility:nil];
+}
+
+- (void)updateVisibility: (NSNotification *)notification
+{
+  NSTRACE (updateVisibility);
+
   if (!emacsframe->output_data.ns)
     return;
 
-  SET_FRAME_ICONIFIED (emacsframe, 1);
-  SET_FRAME_VISIBLE (emacsframe, 0);
+  NSWindow *win = [self window];
+  BOOL on_active_space = YES;
+  if ([win respondsToSelector: @selector (isOnActiveSpace)])
+    on_active_space = [win isOnActiveSpace];
+  if (on_active_space && [win isVisible])
+    {
+      if (FRAME_VISIBLE_P (emacsframe) && !FRAME_ICONIFIED_P (emacsframe))
+        return;
 
-  if (emacs_event)
+      SET_FRAME_ICONIFIED (emacsframe, 0);
+      SET_FRAME_VISIBLE (emacsframe, 1);
+      windows_or_buffers_changed = 63;
+
+      if (emacs_event)
+        {
+          emacs_event->kind = DEICONIFY_EVENT;
+          EV_TRAILER ((id)nil);
+        }
+    }
+  else
     {
-      emacs_event->kind = ICONIFY_EVENT;
-      EV_TRAILER ((id)nil);
+      if (!FRAME_VISIBLE_P (emacsframe) && FRAME_ICONIFIED_P (emacsframe))
+        return;
+
+      SET_FRAME_ICONIFIED (emacsframe, 1);
+      SET_FRAME_VISIBLE (emacsframe, 0);
+
+      if (emacs_event)
+        {
+          emacs_event->kind = ICONIFY_EVENT;
+          EV_TRAILER ((id)nil);
+        }
     }
 }
 
-- 
2.34.0


--=-=-=--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 27 Jan 2022 14:01:01 +0000
Resent-Message-ID: <handler.16097.B16097.164329200713062 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Robert Pluim <rpluim@HIDDEN>
Cc: David Benjamin <davidben@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>, 16097 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164329200713062
          (code B ref 16097); Thu, 27 Jan 2022 14:01:01 +0000
Received: (at 16097) by debbugs.gnu.org; 27 Jan 2022 14:00:07 +0000
Received: from localhost ([127.0.0.1]:54586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nD5Jn-0003Oa-86
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 09:00:07 -0500
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:34001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nD5Jj-0003NS-OQ
 for 16097 <at> debbugs.gnu.org; Thu, 27 Jan 2022 09:00:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643291997; bh=KMbN+Z0R1mwwfs6CTq8obBFYWQHdbKjV1SyypV0fgdk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=eHZdJedSHxdhtyQoIVv4aeUVEOtwx8v8hTAVqx7O7vWXtInY3W4yDZzjP+Q6D5RuZtjDcYF+yxymnyZmL4oQ9F/77DPINz4KXVWfB8wjh/IYwLHY77rcanNjBsfIJnuCSqmpDvcSXIwyWu8KCVXNKeZelTaoZlh2Wt26Eh8LMM5+jaAAeOpSZ3Ay/SF8BsbO758KnDp7y/9DjVF8NEmQopkMQnpDg77zoAhjCxCRaBhgsgJQlD81UQEw2CJ2JtUPkPfp/ppl6bR+gbQf0q4I8SIL+Q8qGn08t+e+r/LvzMQUmzouZI1hcAiewv39Xtgdr0hY4ywQs83oMoxdE1c9Zw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643291997; bh=1QsO8qJ5RTGAUMsPBfeao2ha94vIvZbG/dwPcy0d6fE=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=M03253zwneZXjtqf9kQJYAkKxOpyK+rjnoPf2MxspVOR8dDjtEdFWRIEWq4ESMq0sSJ2gpYpZxSXDxzCG3gdJlo8xGwo/X8w48jPs3oyEsHgfUdidNBC0y1aGIJ7c2yItwVlpVpt/wYsa6Hp8FOokEWnhmGVBeTj+WQsKepGUawQeEmM1g6nlObdUKZwdwtqObkJud0mJtOy0yhoTCBaXU4Z5kQbc0v2j7pXog74vwG9QxxUSGUY5mEKJh5/1h2vqlPQVWmgE4tzge6XvBPOBAh/1n+t2qMJp5FoNA9LFiP8TtfZXX1CmdN0ShfQATmJsE3RgdL3NoFQHkCvBfIWUA==
X-YMail-OSG: wQ7MOVsVM1m5cQg7KjN4MUi7Swmh.EAKHOwww2oA_lg8lJ36h2Y1GdkwkJryyQb
 DvnTrp7NYwEDDwhY_F4azrjDBKC6XevaYz7v9aABAo1ChzO8MDYrxzEQkwKf0umafgd3BqU4yrmC
 4J5zBNUM5B2EEg0huNdjhv9N6g1cY8xb0UQujnd_OL4JO6CE11YNJaKcVswnISNF2NSXDjojm9mT
 JRXNtgTRq_rGljPPdkVcmECPfD9XEat4R_D1_16vPau2SZ3NseF0IGoH6QFJKH8PUL_6wsbtFSa3
 Go2JAL_of7zJ95Qp2lS_JkDkSLsDmDRpRYV0n4r9B0eo_tWq0xIE4VGAv5D7QzHWei9QVGJ5kN8a
 rpvp_hQS8XrFt_QVJfEOxpWt4zzn3R9391kqS6.WbW6nQ4HEU2ts3KBSeaEuyGgMK0F_tKS6smQH
 321vt_xFMeHrRzmWTvuWHjrGAQtx.r9HO41hKjtS0LR1BlpZlzJdi.GLf4VnYeqHSEHvwV6627Fu
 xGnSauFO9PmBO7iGWeTH7rFKRTSfdtzb62owpf7tlFgHj39Esf.dnNJV1YKoFasZdf_zO2U6koKD
 _jvNPI365pRExYiMesOwzuln.9YRSvt1YzZP4zl5LQaQu3tlzDjkabGI5Kv6nfkAkV7ziGfrqxJb
 wt.UQczQ.RwXtlypeGDHPny95iBn8XOwvaEz.xx65QkTz8CcnG6segtrgqzQKPjjptwV4cjuCdyC
 rrYFCdI9t9NbnFBzDVqATZ3SIQeH4fAhUelXcfEHgYuj5AYe80zSVWJLgVdUiKutTiSjGTX9f5_O
 b8qfSvWXiTkoOJvgWi_SJ1DlxMJpSkHaOC.icpP5Wb6GIuspGfDkyoKQk1x4ccpPqBM1MfvSO57n
 ApzbM8hdt5HmRQR7ck8Fgi3BsDxY2ezOZBw0ItgnaAC_4H4X6y5EnND7lV5t4TYMDpejwiHLeLY0
 1acTI5O3LCo3ynbvMtApQPq0JwCC65aVbjNH23wCL_OIDLVUOYmUJxWBP6xcrZqDHK7.tmqJm7KK
 2KBKJT5JwwIjGokSDBso.WPmb447W4nxB4RNynknAFxzzqX8ujw3RnARjrKkCOL5qiwqeqh2.F59
 zq_26Tx8L9EzLR3GrqrL5bzWKd9zH0XG7HZMGMvWS_JnWq4Rf1i8W.yAI_79t04rrE3M1nILqTW8
 AGn3P_674fITduA4ItCXGMB_Q9XapoJiHmrgtfXiWqiRrgIB4KpkKQV1AA4zeRwo4V0YxrwsJo1h
 5iXIX6PnjnJ3cBrN0G1aHw3_MOXBLoUexeScMITzhkFgEtv11aN8UztiVcvAeWfsxjtqiA_F1im8
 8ChI8yFneMTQnXnOFtT3cvm7tWG2sJQ7Yv7IL.6tsnIGvoB9jIGO5IrVjEGepJiLfn9tNZ_c3ygP
 lzYcee.QzP2F.J7Cl7T1EquNTa_uZIN.C7691zgOVIMjRNoIORUN0DpjJzB34foyBfr3ml4ao9qj
 C.oTNK0qyxovzY6NR0TLcCSGhCXWsO2_29eq6t8IQqRKiLJzRv8URcQs_sBhTkb8Zu3O64KLFkjz
 GWQwuG0UOzltoVWt1x6t_6t3314eogULcEfUHWVBuHBaWHSwi1xM9tvD3Qu0QbQ1iCSiuk8etagY
 xyEy3maIDOR6ERmhhz2CNcZb.smmhwTlujUBcI8N5_zbybh7LiIhlJPm1w58gnhNQXdMLLbbmLm.
 jtFtYUpp8HGN2.Jyd6egJRXHi6CLoonY7MPuqg9ZirgcrOaOfC_Ds.h8E8omDD9lB.VYJA8nsZe2
 Yf2K8uAfui3HasIbrhAsUyOQgnWwD3NbYXUVZYjEbUlpp0E5YLEHQC8n_Y90Cc00xcqXbAt6QR.L
 _uFje6lD2Ww2hXIoY335d1Jg39fUyVdzgedoUZZeNkxxjNNJ7KSLVOIXQNEHq.ZIlpg1HMhD1Bzq
 rSzS2eFoRSUqXtr9Q1M88nu_.6IjUG6If3nQPm.8r0ESX_1rsbtsyhEga.EWni.UdhRCb98ScHRO
 oQQCQetBqM.G8sENG76p0mq8PuWbDz_BPjBq9aae0qbdiWaAWiW5dIDGE_fD5..JNGHOjTjG7Oye
 TKZY1RhNMtQ7yvISjvg_zxAp0AWsBHh5Bdt283nHeY8hOqw2yWSHLO7FJvGMNvTo.q0MbwaBc7qX
 GytE1laqYciVq18tkh4gdc.h927UnBt7QZeoRdQB1es7nrodH89Sd_Ge8ussEote.JLBjO5HDynf
 doL94Mhup8gYqHs4bH7I1jZYjSxihaH_jCQlDOkCQG4qdbkF6
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Thu, 27 Jan 2022 13:59:57 +0000
Received: by kubenode501.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID fba1486293e8f4586dfe15ea68ebe2de; 
 Thu, 27 Jan 2022 13:59:51 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN> <87czkdfner.fsf@HIDDEN>
Date: Thu, 27 Jan 2022 21:59:44 +0800
In-Reply-To: <87czkdfner.fsf@HIDDEN> (Robert Pluim's message of "Thu, 27
 Jan 2022 12:06:36 +0100")
Message-ID: <87bkzxjn3j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19615
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 376
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Please let's apply this. Please. Pretty please. Pretty please with sugar on
> top. Please.

It breaks the fix for bug#53276 and probably the GNUstep build as well.

I don't use macOS and have no opinion about the feature in general, but
before applying it please give me a heads up, so I can fix bug#53276
again afterwards.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 27 Jan 2022 14:24:02 +0000
Resent-Message-ID: <handler.16097.B16097.164329342315343 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: David Benjamin <davidben@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>, 16097 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164329342315343
          (code B ref 16097); Thu, 27 Jan 2022 14:24:02 +0000
Received: (at 16097) by debbugs.gnu.org; 27 Jan 2022 14:23:43 +0000
Received: from localhost ([127.0.0.1]:54607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nD5gd-0003zO-HQ
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 09:23:43 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:41781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nD5gY-0003z9-Qp
 for 16097 <at> debbugs.gnu.org; Thu, 27 Jan 2022 09:23:42 -0500
Received: by mail-wr1-f47.google.com with SMTP id h21so5074008wrb.8
 for <16097 <at> debbugs.gnu.org>; Thu, 27 Jan 2022 06:23:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=Uyt3G4SkldSKPD+cYKQBIFF9TP8w0JUUHFtrPEIk7do=;
 b=UNVIk+Kt7/BrfOyzwdraldjjXNee5IASPCqeOhKwLCcTOi0U+XoFAnqhl0I7TOVKEw
 3B71Ggtl4eunw1zsCW9v6ob3pQu9RKOIEtOwJPMKiDHPsy4qJxOLdR/pRLObuNkBgSkC
 aRv4wd6/5jU5rr3IT1tIkory+DJaXX7XqWPqtil10YV1YE9CpPOYY26aye8L3/3hg2+H
 9gk+tKwqCl5+/b8swmFCOP1H+IHbRW8P4nM8Hpf/EYDwwTIcnTl9BqJYtqLo2Sz+qZLK
 L3rHYHFnKJebwmDEt7Rt8xVbItK8KsqM4Hd4TVs+qh2mhbBs/V1la9LdRPs4XfCqBLvs
 /eCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Uyt3G4SkldSKPD+cYKQBIFF9TP8w0JUUHFtrPEIk7do=;
 b=Se2X4b7NEoMO2UB6klDUBl6VMYsR32tgObTHUgPMT4HhIUyIAgi40VMbPG44ilIFJY
 esxGQkN9ge8zJyHVBmZRyxvnqLNaMsos0kAxrZfmqPFDCSDy6cEi0cdX5l65w34F8tLz
 qZbWenA8QzvMrSm6JCC3AefnzkwieqMTj4CNl+2HXY6TN9WuIP6OcYL53ArKhtjW1z14
 aqS5LA/Jy58cD0kXHrcKDkASR2EyWFlTZ7zGyuzasWMkLrZsE40HIknA5hF9MblNMsZs
 f6Xnu9AqTmvmZaS4w8nAwIV9GRsbWLa0mHcA7E7JQybqXTVZOnCMX+oYMr2NXXACMUrT
 PGRg==
X-Gm-Message-State: AOAM530Pmc/AJDkj4jNhkrsXbG+T/LrFxgiwUSaJPFiyAa2p5YWxAZo8
 4D6D9hkGDBhAwVbJKrv4BKY=
X-Google-Smtp-Source: ABdhPJx2Xa2MvcE/8yzNsgzHNMlcdmIs9HtWqIEg2+QhASji2HCd/ZNn5FHIf57x6GQWeRAZ7RUNaQ==
X-Received: by 2002:a05:6000:184c:: with SMTP id
 c12mr3410241wri.190.1643293412618; 
 Thu, 27 Jan 2022 06:23:32 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:4697:da8d:60b1:c955])
 by smtp.gmail.com with ESMTPSA id j2sm2428963wms.2.2022.01.27.06.23.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Jan 2022 06:23:31 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN> <87czkdfner.fsf@HIDDEN>
 <87bkzxjn3j.fsf@HIDDEN>
Date: Thu, 27 Jan 2022 15:23:30 +0100
In-Reply-To: <87bkzxjn3j.fsf@HIDDEN> (Po Lu's message of "Thu, 27 Jan 2022
 21:59:44 +0800")
Message-ID: <878rv1feal.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 27 Jan 2022 21:59:44 +0800, Po Lu <luangruo@HIDDEN> said:

    Po> Robert Pluim <rpluim@HIDDEN> writes:
    >> Please let's apply this. Please. Pretty please. Pretty please with s=
ugar on
    >> top. Please.

    Po> It breaks the fix for bug#53276 and probably the GNUstep build as w=
ell.

So it does (and my patch contains an unrelated hunk, I probably
applied to an unclean tree).

    Po> I don't use macOS and have no opinion about the feature in general,=
 but
    Po> before applying it please give me a heads up, so I can fix bug#53276
    Po> again afterwards.

It makes macOS consistent with other platforms. Anything that can
improve macOS' atrocious window handling is welcome.

We can try to retain the fix for 53276. I=CA=BCd appreciate a hint :-)

Robert
--=20




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Jan 2022 15:41:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 27 10:41:53 2022
Received: from localhost ([127.0.0.1]:56213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nD6uH-0000Gk-2J
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 10:41:53 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nD6uF-0000GV-Io
 for control <at> debbugs.gnu.org; Thu, 27 Jan 2022 10:41:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=n/w45ck2wQTJ/PL1oF2THdo2qq3Bea4WLxD4YjH/dqY=; b=fuibN3Muk+IWryU0ufMIUrnH68
 FR0rcBDjc2PKguwFP2SEZNVYvTw3NRY0QB4LxeoxIz4cnDBvxca3vPWnI0seBd0WsdjyVZfKa9OmD
 5qloqpL2rSnGN88FlaKT1Yhh1kC33dIL2klI2XykybJqcH3PUhtRJbTa7YQdCfIJfSnY=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nD6u7-00085b-JN
 for control <at> debbugs.gnu.org; Thu, 27 Jan 2022 16:41:45 +0100
Date: Thu, 27 Jan 2022 16:41:43 +0100
Message-Id: <87tudpmbig.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #16097
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 16097 + patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 16097 + patch
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Jan 2022 00:36:02 +0000
Resent-Message-ID: <handler.16097.B16097.164333013129419 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Robert Pluim <rpluim@HIDDEN>
Cc: David Benjamin <davidben@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>, 16097 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164333013129419
          (code B ref 16097); Fri, 28 Jan 2022 00:36:02 +0000
Received: (at 16097) by debbugs.gnu.org; 28 Jan 2022 00:35:31 +0000
Received: from localhost ([127.0.0.1]:56903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nDFEh-0007eQ-Kp
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 19:35:31 -0500
Received: from sonic313-9.consmr.mail.ne1.yahoo.com ([66.163.185.32]:37943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nDFEd-0007e7-Op
 for 16097 <at> debbugs.gnu.org; Thu, 27 Jan 2022 19:35:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643330121; bh=+mYrMdQf/cTvo7ob/FVL/zjxcml1Q9MhrP+HkDYfKtI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Q6jrOgrYPLXCKX07THiPLC8CGGpe0H/f67ZbUczuXuiZNhW6IyhdxyR9FJzl9cFEgPT05oUMeF6tqlt9Guk/CNpJ3s9G4RoPKMgLS19MtF3JU+M8ZARrj7VvV2p8Vfuk5bAW+e3amwc7zhDemAG5EYh2Taiznc/n0A0zmv435gSsJ7T4GKjUNwvWf7iM8w91Y9hYXdnSOsAQM9ENdemw00uLlUv4lvapCgcSrLiaWVoaRC09BiKcBA2gtesmWpwSsEaicH+gTpdW28Wd4vigiRZk9RFXsvB2bVfS71Cjn1qXthpCKNxKtwyVZOmq2+N9iMmJ43vInKeKrnUUBDnHLQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643330121; bh=96vpp1OJAYIXhO1kpEA1qatMyWLUnA/fqT4wyuRJmSF=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=qNHYzVK/z7pt6+iwzVWlTvThBHBlndYVEcWgpmcHaDKS5Q/aPNbZbn6LZq/Iy+rQC8+em9n3HyETA2OBXyaZT0oq88XOUkkMEt6asO9IHhCbMppegVF3zvsGK9CYfoRabWJCTrvNLC3CbKOQXX69c+5vA+b9YSu7eXl9K0ZswarMeqKQtQhLiHGJ8GMNJOBVHDpHSTHrjwpSV5cap8zsPmTE05oKKRVMOfEiJplpuD7nD9fjGBAljGW6G2FW0/YR++fUbGJfJi+fXEmb9BK1Iwy2zGmOG5hbz1SpawUSGiLYDLgG+O6OCTowke0eZdWf8VN1IMt90N3kvUKNxGLlOw==
X-YMail-OSG: c7r3nygVM1n1erXMi4XTYlE.riFVwxVhRdcrRtM6gFYOZm.IikdOZSUDlhtvn_Z
 u1lCYPL6U7B_Sq4ft1Vt4MnAf_awUbJReyzpwUiE5nXVdV73EizC9nTW1M4.lAZeu0v0qqU_QEhh
 cPiegygqc8_FBWQhmv3b2y22bkLM6hP4C5JAyYfsq79J4roMers351VVn7X.0i.JMXByloMedNhq
 hzNUpTMSfi7psiMeq57fhV6K_FxNrxY5fLpi3pquAUFn8OGG3TT2_z_OZSOs9xcn9EUhIoNZM1jO
 KHxzkAgE8jm2a75VmBCawIqa7Z6D4ya4IZaWqKjDLmTfdrgQa11PzD_4Z.YAdodSf8kAwBDAbDIH
 Pv.ZETSFV1FWOqZD9NRRLycR3hEfUAq0SQWGujsmAxXxXU7d1FbqmB4PhZObVOJG5YAwZbWBqbRv
 NqO6363KSnNtHsbTYQVrZyWdHZsyW5oePQ870ohPAHRuQa17Jr_Bw_3RPMQRckof5C0EU8D.Y_uA
 YCyer.T3cMH8jmFNRAY9SODhvZ_6Ef1IO1A9HyA2cW8VSY.UKgquffn2PF4d.aZ28ZIFObu501Ef
 0H4ZTzPVK2D1YaOjDnp.G5cyJGGr_vG7XkAXwcb8iiwxFxzTciEVx9JlAM.LfM3gqKcp5au_jPHm
 0.2zF3mDbyVPnr0T4zQvZPGVOYW2uh0.Bdxt0N1VBkwNrzmMIwXv10lZpknA8qYX8MyaQMVm1NJ8
 kkvOWJyKXqclDUPp5hELYFyxmgq879PNctomPBmtPgdys5fzEb6qd49flL3nfb7b9AO9Ycj7wVSV
 NE8dVDKK_pCulgFhTmixwUik_lqTahCO780t4a5v1Q9Il48jPSpVCjrE2cy7r3QWpUJebAeAhoKF
 eMUlaZIAH_PZrpcfJevGAKpa6Pt5QmKnzBmfSwO.u3gGtBlWtg_aE0gXu02wk.RgGhqdVzfq34Xl
 BQiHgR6pwHsMVeCOE78SUOyCHV.JDon9K4z8VLfBOVTXvz0uVYQgmL23lfU9YFLsmBg9PcF3HYtR
 6OwtwgQCgEfV2vJaQY0zs5wRJ38Nbit6dJ2gV53lAmQso8fAKmd8w3l3RAPyFnpPuH.pEg5xJFOM
 waVFRNXGP.KCk9jJ422TW6TWJZWHl.JQz9EsEL8f_sdAf.kWRhh3W3rGUjka0uyZh.A7d0Yzryvt
 rjfYJQFMH5vgTNLFTeReG2hg.DtDKI4Ux97vYuWE_LsCa3ZQ.lz1NsayqQs2upT68XXCUEh7spUH
 F37k3IgHafvgbZDAJlRy.l8pTVd43jQBy7BADe247BeJR8sKKe85znTwfpYCbGLhr7Lc8mL4MpZy
 K6kHm3fL6nPFYj_TAGHxaZfhaZArJZch8F9RQA.MtTy6i5U5Y_wW4X53kT_eI6UawMYvDx0RwZwd
 4oH7MAD91UQ4DlLq5WoB8s_TVQVkXLaYF.KvKMOharPvsz_fbigLbX22eNibOa5zWihCZuvqwOLb
 L4arMEW5XRiHVH5GYB9IvFIorQSTgILrJEOKSoZ2gByIZzX1WNJBUPyguRuJ0M4vfQeadT8OB36X
 XnKCnGtsXKfQsVWv7A1pisPriqf_KB95CkSiZslO0N5F6AKfY_wqkyCYol4vCnEHHA9IkBc.vNxY
 0LH0r0i.RvG1gdbeimKkp_I_dIXUoZQHOZnAj77fZrkRIaRcDBvQ.Dmt3wziNIPxLKJsQmPWaC5z
 S81umgIUgeZasRAwhsjhqQ4IgxLk.XlO3x01OSq2_6GQUzi9iI6niS_g5Si86qypNvrJkVw44tju
 Tp_J6Awxs2PzXowuQPlqBDlRaLhpr5LwTOGgz213MMAIE2ansC2H4vyPVXZNNMjWkg3wJGGK7eZ7
 dgDU4yoxeS41oKtJbWRm6VuBHbPWPHMgJouZOcFW5Big74oR085IQgPbVQgWQnKaIrwg8KhXI99k
 WqsM9Tq8.hHOK_sj_4g2Z0YxoQhKHf5MYXx6q4NlO3Up1qRW35JSxZh6ik_gbp.rJnOFJJmoVnAV
 Ki_coxeyIO6QPDt2sM8_UTyEunjcWSLxCP_pnrZqnGrjrA1QDpM9.xnw73ykpyRWCbj6hd5Xo3PV
 OsHgVmVm6d.sxEIldxy_c8qCO95zqvpBcLJMdmM3apD2dnLRRCvMLlDTHvs44Z8A2HwYO_VmMgHu
 tiGvVwUnc.BZKKpXNzPexxTQvp0l.LGq7kmw3ouUl6z0fy4xeh60jCLiYiQnu_5njtDZOa0r7xYb
 4yjggFjlC4BRWY2lKvYzCzjY7eqGhR4FQCofZFPc5ttE-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Fri, 28 Jan 2022 00:35:21 +0000
Received: by kubenode507.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID b4c085b023d12cdf41e89d5fc229402a; 
 Fri, 28 Jan 2022 00:35:16 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN> <87czkdfner.fsf@HIDDEN>
 <87bkzxjn3j.fsf@HIDDEN> <878rv1feal.fsf@HIDDEN>
Date: Fri, 28 Jan 2022 08:35:10 +0800
In-Reply-To: <878rv1feal.fsf@HIDDEN> (Robert Pluim's message of "Thu, 27
 Jan 2022 15:23:30 +0100")
Message-ID: <877dakk88x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.19615
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 301
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> We can try to retain the fix for 53276. I=CA=BCd appreciate a hint :-)

Essentially, `updateVisibility' should be modified to declare a `struct
input_event', initialize that event, and use kbd_buffer_store_event
instead of the `emacs_event' global.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Jan 2022 08:18:02 +0000
Resent-Message-ID: <handler.16097.B16097.164335785413547 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Alan Third <alan@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 16097 <at> debbugs.gnu.org
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164335785413547
          (code B ref 16097); Fri, 28 Jan 2022 08:18:02 +0000
Received: (at 16097) by debbugs.gnu.org; 28 Jan 2022 08:17:34 +0000
Received: from localhost ([127.0.0.1]:57242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nDMRp-0003Vu-MY
	for submit <at> debbugs.gnu.org; Fri, 28 Jan 2022 03:17:34 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:37623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nDMRn-0003QZ-Ts
 for 16097 <at> debbugs.gnu.org; Fri, 28 Jan 2022 03:17:32 -0500
Received: by mail-wr1-f41.google.com with SMTP id w11so9341660wra.4
 for <16097 <at> debbugs.gnu.org>; Fri, 28 Jan 2022 00:17:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=PoFqbtGuNoZu0gHVkbcvKP9xub25SlI1nhTff09GfYY=;
 b=DrAhyWq9q0utscSmsBycSEqB8emWEauVCJz4xdUYjKWcJ4syMl1n2PTgfNPLqY9s4S
 MaRBOFORjecC6zLzMk5pfVwhtiiUj4gBoC4x7tSe1ySiuCVYxObuEZlkWBaJmKrsJiO4
 lPnFxOMg1t4xE6U3fIxAKGXLvc4ZFqz0h4+R6E9omhzPw82wxfZSl3QfuhTz1mqZeJRv
 bYhKpV2laeb3OpwthmZXWPyeijJUAOWJ+HDkK4JMICQCaEG5bnAQnv26qDK3Nfef0odi
 z2sCHEeOrraGftTlEp6aLlTElwxqxt7FBGv0hJ5B95NZ1rMsuNuR9qznCXsi9CUBMQTv
 P3eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=PoFqbtGuNoZu0gHVkbcvKP9xub25SlI1nhTff09GfYY=;
 b=L/mMLpjMiq7tGCLgFJC69NX+BJhQLfW6Vc0C6vXbaedSAqJnYAKgk4oOSrYwCfRIWf
 U4VzwW46EhA/etCRh2hT7wxW/d+vjrppD+KMS08r73O4LLVVBxB71cOXox+p4YWQdVvi
 xqV+SQl/Xain31ULQzOgmArBGKfKeCn3IyN0Xv/3hr2RXLVH+fmhmTk4SsVvG+oc8DTo
 LyktygibclIh3NjNIZdWHbion6voi68XFhgyyotX2qCw9vElEieZ+SkOyam+tzfNO2X2
 MXVjiRpn2v5tDlhLAOw9KbpZrJJHIU2iROInzlXo11yIODFT5hGGZn8zCyvO0pgzXWaN
 +wng==
X-Gm-Message-State: AOAM532zGdiq+vU1xO37YyDgVPT9swgXydbMvI8PPF8KjzzugBL9cdcz
 DMvRj8Ny2O3J6rRjIMi0Ivohxks+Kck=
X-Google-Smtp-Source: ABdhPJwvxGU1Z96m8OojkEVoicd5Vs2dPhWpfaFgUU2ZZvqL950jw3SnlnZqF1efZV8utBTDcsLS2A==
X-Received: by 2002:adf:eacc:: with SMTP id o12mr5829689wrn.576.1643357845780; 
 Fri, 28 Jan 2022 00:17:25 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:4697:da8d:60b1:c955])
 by smtp.gmail.com with ESMTPSA id n10sm5266987wrf.96.2022.01.28.00.17.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Jan 2022 00:17:24 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN> <87czkdfner.fsf@HIDDEN>
 <YfMHYwc+BjAwdkke@HIDDEN>
Date: Fri, 28 Jan 2022 09:17:24 +0100
In-Reply-To: <YfMHYwc+BjAwdkke@HIDDEN> (Alan Third's message of "Thu, 27
 Jan 2022 20:58:11 +0000")
Message-ID: <87r18se0kr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Thu, 27 Jan 2022 20:58:11 +0000, Alan Third <alan@HIDDEN> said:

    Alan> On Thu, Jan 27, 2022 at 12:06:36PM +0100, Robert Pluim wrote:
    >> >>>>> On Wed, 26 Jan 2022 17:46:15 +0100, Lars Ingebrigtsen <larsi@g=
nus.org> said:
    >>=20
    Lars> David Benjamin <davidben@HIDDEN> writes:
    >> >> Here's a patch for something that's been bugging me. This makes C=
md-`
    >> >> cycle through only the current space's windows, which is consiste=
nt
    >> >> with other programs on OS X. It also matches the behavior of
    >> >> other-frame on X11 for window managers that implement virtual des=
ktops
    >> >> by mapping and unmapping windows. The patch is attached.
    >>=20
    Lars> Perhaps Alan has a comment here; added to the CCs.
    >>=20
    >> Please let's apply this. Please. Pretty please. Pretty please with s=
ugar on
    >> top. Please.
    >>=20
    >> I=CA=BCve rebased it to master and attach it here.
    >>=20
    >> Did I mention I like it?

    Alan> I'm afraid I don't much. It looks like the updateVisibility method
    Alan> doesn't actually do enough to replace the windowDidBecomeKey meth=
od.

That=CA=BCs an artifact of me screwing up the patch, I think. But it
probably needs updating anyway, as Po pointed out.

    Alan> It also needs a good clean. For example there's a hunk that appea=
rs to
    Alan> just be removing a single blank line and most of the #ifdef's are
    Alan> redundant. I guess some of the weirdness in it is just because it=
's so
    Alan> old.

Sorry, I messed up the rebase. The attached should be better.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-other-frame-cycle-on-current-space-only-nsterm.patch

From a7054fc3d66b48161b562a8715730c002994dc4a Mon Sep 17 00:00:00 2001
From: David Benjamin <davidben@HIDDEN>
Date: Fri, 28 Jan 2022 09:11:09 +0100
Subject: [PATCH] Make other-frame cycle on current space only (nsterm)
To: emacs-devel@HIDDEN

In nsterm, update frame visibility on space change and application
hide/unhide. This makes other-frame cycle through windows correctly.

* nsterm.m (updateVisibility:): New function from code in
windowDidMiniaturize and windowDidDeminiaturize.
(windowDidMiniaturize:, windowDidDeminiaturize:): Call
updateVisibility.
(initFrameFromEmacs:): Register for notifications of application
hide/unhide and, on Cocoa, space changes.
(dealloc): Clean up notifications.
* nsterm.h (EmacsView): Declaration for updateVisibility.
---
 src/nsterm.h |  1 +
 src/nsterm.m | 92 ++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 76 insertions(+), 17 deletions(-)

diff --git a/src/nsterm.h b/src/nsterm.h
index f027646123..db4e75641b 100644
--- a/src/nsterm.h
+++ b/src/nsterm.h
@@ -481,6 +481,7 @@ #define NSTRACE_UNSILENCE()
 #if defined (NS_IMPL_COCOA) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
 - (void) updateCollectionBehavior;
 #endif
+- (void) updateVisibility: (NSNotification *)notification;
 
 #ifdef NS_IMPL_GNUSTEP
 - (void)windowDidMove: (id)sender;
diff --git a/src/nsterm.m b/src/nsterm.m
index a3c7b55218..ce933e73eb 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -5959,6 +5959,22 @@ - (void)dealloc
 {
   NSTRACE ("[EmacsView dealloc]");
 
+  [[NSNotificationCenter defaultCenter]
+      removeObserver: self
+                name: NSApplicationDidHideNotification
+              object: nil];
+  [[NSNotificationCenter defaultCenter]
+      removeObserver: self
+                name: NSApplicationDidUnhideNotification
+              object: nil];
+#if defined(NS_IMPL_COCOA) && \
+  MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6
+  [[[NSWorkspace sharedWorkspace] notificationCenter]
+    removeObserver: self
+              name: NSWorkspaceActiveSpaceDidChangeNotification
+            object: nil];
+#endif /* NS_IMPL_COCOA && >= MAC_OS_X_VERSION_10_6 */
+
   /* Clear the view resize notification.  */
   [[NSNotificationCenter defaultCenter]
     removeObserver:self
@@ -7214,6 +7230,27 @@ - (instancetype) initFrameFromEmacs: (struct frame *)f
   [NSApp registerServicesMenuSendTypes: ns_send_types
                            returnTypes: [NSArray array]];
 
+  /* Update visibility state on application hide and unhide. */
+  [[NSNotificationCenter defaultCenter]
+      addObserver: self
+         selector: @selector (updateVisibility:)
+             name: NSApplicationDidHideNotification
+           object: nil];
+  [[NSNotificationCenter defaultCenter]
+      addObserver: self
+         selector: @selector (updateVisibility:)
+             name: NSApplicationDidUnhideNotification
+           object: nil];
+
+#if defined(NS_IMPL_COCOA) && \
+  MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6
+  [[[NSWorkspace sharedWorkspace] notificationCenter]
+    addObserver: self
+       selector: @selector (updateVisibility:)
+           name: NSWorkspaceActiveSpaceDidChangeNotification
+         object: nil];
+#endif /* NS_IMPL_COCOA && >= MAC_OS_X_VERSION_10_6 */
+
   ns_window_num++;
   return self;
 }
@@ -7383,18 +7420,7 @@ - (NSRect)windowWillUseStandardFrame:(NSWindow *)sender
 - (void)windowDidDeminiaturize: sender
 {
   NSTRACE ("[EmacsView windowDidDeminiaturize:]");
-  if (!emacsframe->output_data.ns)
-    return;
-
-  SET_FRAME_ICONIFIED (emacsframe, 0);
-  SET_FRAME_VISIBLE (emacsframe, 1);
-  windows_or_buffers_changed = 63;
-
-  if (emacs_event)
-    {
-      emacs_event->kind = DEICONIFY_EVENT;
-      EV_TRAILER ((id)nil);
-    }
+  [self updateVisibility:nil];
 }
 
 
@@ -7415,16 +7441,48 @@ - (void)windowDidExpose: sender
 - (void)windowDidMiniaturize: sender
 {
   NSTRACE ("[EmacsView windowDidMiniaturize:]");
+  [self updateVisibility:nil];
+}
+
+- (void)updateVisibility: (NSNotification *)notification
+{
+  NSTRACE (updateVisibility);
+
   if (!emacsframe->output_data.ns)
     return;
 
-  SET_FRAME_ICONIFIED (emacsframe, 1);
-  SET_FRAME_VISIBLE (emacsframe, 0);
+  NSWindow *win = [self window];
+  BOOL on_active_space = YES;
+  if ([win respondsToSelector: @selector (isOnActiveSpace)])
+    on_active_space = [win isOnActiveSpace];
+  if (on_active_space && [win isVisible])
+    {
+      if (FRAME_VISIBLE_P (emacsframe) && !FRAME_ICONIFIED_P (emacsframe))
+        return;
 
-  if (emacs_event)
+      SET_FRAME_ICONIFIED (emacsframe, 0);
+      SET_FRAME_VISIBLE (emacsframe, 1);
+      windows_or_buffers_changed = 63;
+
+      if (emacs_event)
+        {
+          emacs_event->kind = DEICONIFY_EVENT;
+          EV_TRAILER ((id)nil);
+        }
+    }
+  else
     {
-      emacs_event->kind = ICONIFY_EVENT;
-      EV_TRAILER ((id)nil);
+      if (!FRAME_VISIBLE_P (emacsframe) && FRAME_ICONIFIED_P (emacsframe))
+        return;
+
+      SET_FRAME_ICONIFIED (emacsframe, 1);
+      SET_FRAME_VISIBLE (emacsframe, 0);
+
+      if (emacs_event)
+        {
+          emacs_event->kind = ICONIFY_EVENT;
+          EV_TRAILER ((id)nil);
+        }
     }
 }
 
-- 
2.34.0


--=-=-=
Content-Type: text/plain


Robert
-- 

--=-=-=--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Jan 2022 08:44:02 +0000
Resent-Message-ID: <handler.16097.B16097.164335938625874 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16097
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Po Lu <luangruo@HIDDEN>
Cc: 16097 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>, David Benjamin <davidben@HIDDEN>, Alan Third <alan@HIDDEN>
Received: via spool by 16097-submit <at> debbugs.gnu.org id=B16097.164335938625874
          (code B ref 16097); Fri, 28 Jan 2022 08:44:02 +0000
Received: (at 16097) by debbugs.gnu.org; 28 Jan 2022 08:43:06 +0000
Received: from localhost ([127.0.0.1]:57319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nDMqY-0006jG-4e
	for submit <at> debbugs.gnu.org; Fri, 28 Jan 2022 03:43:06 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:34626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nDMqW-0006iZ-Fm
 for 16097 <at> debbugs.gnu.org; Fri, 28 Jan 2022 03:43:04 -0500
Received: by mail-wr1-f49.google.com with SMTP id f17so9504025wrx.1
 for <16097 <at> debbugs.gnu.org>; Fri, 28 Jan 2022 00:43:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=UNmiexYBN7fcRAjEMU8KpdYVzUehk428OedQHXutbCg=;
 b=FgNCvKch9HOGc44f8pY9E9TNuPX1uO+FgCcWhDTzqUFtskIyGt8u20mbCge9A/bJxU
 g0kcIwXbP4hyRXLopKSL9XLnkTPSHu5je7UMZe1nt8OP9XUq2kQyhJ37uY5nh//5pbFs
 Idge/DrOmXLnKMMYYUPguvimy7IkIBAF03uEo6uuLabvwbkTUefn8MAtKo0YG5VF5lsl
 hm6jvF+ZsIj1cx/+ngy+rjKPYeE4/xvgGS+d9Npdzp0cSCqiGDmSb27RnkP0NrVKHeYD
 5mL0D85yTymcykr2AHv0mFZylJRaradTx6G0ojx3yvrAiViPY2o7ivPJPVHtpoJ9NmcS
 98+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=UNmiexYBN7fcRAjEMU8KpdYVzUehk428OedQHXutbCg=;
 b=T2PswDZ6FatZnjIKX3rBUaZdakIngMZ6arx3PqOH5jP0f6qXDJE5PpXiZGRTuysm7p
 kxKx0tkiPck0nwgEppFtb42//8Rmfvf4hHtGbJM6L1F541W4u6ICAteC16gt835g1XOm
 3vv3Xf5URNKYOsj6QqQh+tr6CdUfcsx2JEOE7Q96grZse1hJH+73GvUYy932YO8bD8H1
 VW/4P6VQhJSzvXCZCY8yKR7dOch1QBkAmBunqXDlGZiG7WgSawd9Zr5/mDXSifS3wD3E
 0eEpxVWLXpJKePQCIz9icxo+uPzlNMnub87ieoM444ZRt6IsdQYoXQeUOL7Zc0wT5AU1
 L55A==
X-Gm-Message-State: AOAM533u1nuXn5SamtAGAvfw/b7wpEnNYOZm59dOdLMJ/niq853Tm1kC
 qCD17jKTR/efUMSClAXs/DA=
X-Google-Smtp-Source: ABdhPJyB/KV7sDeyyKrq4JshJ/5nSpkxROQLj4eYGcZk5L71vmMEqAV7Q0f3PNdKCeerilIUzFtl5A==
X-Received: by 2002:a05:6000:1b08:: with SMTP id
 f8mr5992173wrz.344.1643359378322; 
 Fri, 28 Jan 2022 00:42:58 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:4697:da8d:60b1:c955])
 by smtp.gmail.com with ESMTPSA id 11sm1421477wmx.5.2022.01.28.00.42.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Jan 2022 00:42:57 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
References: <CAF8qwaCWZv3s9s0Dy_pPR_v+1zuJpA2t6Fr0gXEOjd9=Wu7KEQ@HIDDEN>
 <87zgniphrc.fsf@HIDDEN> <87czkdfner.fsf@HIDDEN>
 <87bkzxjn3j.fsf@HIDDEN> <878rv1feal.fsf@HIDDEN>
 <877dakk88x.fsf@HIDDEN>
Date: Fri, 28 Jan 2022 09:42:56 +0100
In-Reply-To: <877dakk88x.fsf@HIDDEN> (Po Lu via's message of "Fri, 28 Jan
 2022 08:35:10 +0800")
Message-ID: <87mtjgdze7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Jan 2022 08:35:10 +0800, Po Lu via "Bug reports for GNU Em=
acs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN> said:

    Po> Robert Pluim <rpluim@HIDDEN> writes:
    >> We can try to retain the fix for 53276. I=CA=BCd appreciate a hint :=
-)

    Po> Essentially, `updateVisibility' should be modified to declare a `st=
ruct
    Po> input_event', initialize that event, and use kbd_buffer_store_event
    Po> instead of the `emacs_event' global.

I can do that, but blink-cursor-mode seems to be working fine with the
current changes (now that I actually know how it=CA=BCs supposed to functio=
n).

Robert
--=20





Last modified: Fri, 28 Jan 2022 08:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.